We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6629 - Registration "Registered" date incorrectly updated
Registration "Registered" date incorrectly updated
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: Registrations
2.3.4
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 12:18 PDT by James MacGregor
Modified: 2011-05-03 12:31 PDT (History)
1 user (show)

See Also:
Version Reported In: 2.3.3
Also Affects: OCS 2.3.3


Attachments
patch against master (1.23 KB, patch)
2011-05-02 12:18 PDT, James MacGregor
Details | Diff
Patch against OCS 2.3.3-1 (stable) (1.01 KB, patch)
2011-05-03 12:30 PDT, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-05-02 12:18:20 PDT
Created attachment 3500 [details]
patch against master

If a user registers eg on 2011-01-01, and the Editor edits (or even views and saves without editing) their registration, the "Registered" date changes to the current date. 

I've modified wuyh's fix at http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=2602&p=28892#p28892; see attached. I think it works fine, but I'd like someone to take a look. 

If it looks good, I'll commit to master and stable.
Comment 1 Michael Felczak 2011-05-03 10:26:39 PDT
Looks good, James.

Can you please provide an updated patch against OCS 2.3.3-1 (stable) with the lib/pkp subcommit info removed + add to recommended patches list for OCS. Thanks!
Comment 2 James MacGregor 2011-05-03 12:30:31 PDT
Created attachment 3503 [details]
Patch against OCS 2.3.3-1 (stable)
Comment 3 James MacGregor 2011-05-03 12:31:09 PDT
Thanks, Michael! Committed to stable and master, and added a patch here against 2.3.3-1.